library DemoDLL;

{
  @supported operationg systems(Windows 98 up to Windows 7)
  @tested Delphi compilers(Delphi 7, Delphi 2007 , Delphi 2010)
}

uses
  windows;

procedure TestCallstdA(f_Text: PAnsiChar); stdcall;
begin
  MessageBoxA(0, f_Text, 'Dll Dialog Ansi (stdcall)', 0);
end;

procedure TestCallstdW(f_Text: PWideChar); stdcall;
begin
  MessageBoxW(0, f_Text, 'Dll Dialog Unicode (stdcall)', 0);
end;

procedure TestCallcdelA(f_Text: PAnsiChar); cdecl;
begin
  MessageBoxA(0, f_Text, 'Dll Dialog Ansi (cdecl)', 0);
end;

procedure TestCallcdelW(f_Text: PWideChar); cdecl;
begin
  MessageBoxW(0, f_Text, 'Dll Dialog Unicode (cdecl)', 0);
end;


exports
  TestCallstdA,
  TestCallstdW,
  TestCallcdelA,
  TestCallcdelW;

begin
end.

